> This page is for Afterpay Online Developer, version Main (default).
> For other versions, use one of these documentation indexes:
> - Main (default): https://developers.afterpay.com/afterpay-online-developer/main/llms.txt
> - v1: https://developers.afterpay.com/afterpay-online-developer/v-1/llms.txt
> - Chinese: https://developers.afterpay.com/afterpay-online-developer/chinese/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.afterpay.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.afterpay.com/_mcp/server.

# Revoke Grant

POST https://global-api-sandbox.afterpay.com/v2/grants/{grantId}/revoke

Revokes a grant, rendering it unusable. Other endpoints will no longer be able to use the grant to perform the associated action.


Reference: https://developers.afterpay.com/afterpay-online-developer/api-reference/reference/grants/revoke-grant

## Authentication

- `Authorization` header (basic auth, required) — Basic authentication of the form `Basic <base64(username:password)>`.

## Servers

- `https://global-api-sandbox.afterpay.com` (Sandbox, default)
- `https://global-api.afterpay.com` (Production)

## Request

### Path parameters

- `grantId` (string, required) — The unique identifier id of the grant to revoke

## Response

### 200

OK

- `grant` (Grant, required)

## Errors

### 403 Forbidden Error

| errorCode | Description | | --- | --- | | feature_not_enabled | On file payments are not enabled for this merchant. |

- `any`

### 404 Not Found Error

| errorCode | Description | | --- | --- | | grant_not_found | The specified grant was not found. |

- `any`

## Types

### Grant

- `id` (string, required) — Unique id identifying the grant
- `type` (enum, required) — Type of grant
  - Allowed values: `ON_FILE`
- `status` (enum, required) — Current status of the grant
  - Allowed values: `ACTIVE`, `CANCELLED`
- `created` (string, required) — Timestamp when the grant was created
- `merchantReference` (string, optional, nullable) — Merchant's reference for this grant
- `cancelled` (string, optional) — If present, indicates when the grant was cancelled
- `expires` (string, optional) — If present, indicates when the grant's status will become EXPIRED, preventing a client from using it to create payments
- `consumerReference` (string, optional, nullable) — Reference identifier for the consumer
- `email` (string, optional, nullable) — Masked email address of the consumer
- `requestId` (string, optional, nullable) — If present, unique identifier for the request

## Examples

**Response**

```json
{
  "grant": {
    "id": "005.2fkv5o963b132z8ppa34srlh60987y87d55re237wsg9tr4q2",
    "type": "ON_FILE",
    "status": "ACTIVE",
    "created": "2024-03-04T12:00:00Z",
    "merchantReference": "merchant_ref_123",
    "cancelled": "2024-03-05T12:00:00Z",
    "expires": "2025-03-04T12:00:00Z",
    "consumerReference": "cust_12345",
    "email": "j***@e***.com",
    "requestId": "req_abc123def456"
  }
}
```

**SDK Code**

```python
import requests

url = "https://global-api-sandbox.afterpay.com/v2/grants/grantId/revoke"

headers = {
    "User-Agent": "User-Agent"
}

response = requests.post(url, headers=headers, auth=("<username>", "<password>"))

print(response.json())
```

```javascript
const url = 'https://global-api-sandbox.afterpay.com/v2/grants/grantId/revoke';
const credentials = btoa("<username>:<password>");

const options = {
  method: 'POST',
  headers: {'User-Agent': 'User-Agent', Authorization: `Basic ${credentials}`}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://global-api-sandbox.afterpay.com/v2/grants/grantId/revoke"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("User-Agent", "User-Agent")
	req.SetBasicAuth("<username>", "<password>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://global-api-sandbox.afterpay.com/v2/grants/grantId/revoke")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["User-Agent"] = 'User-Agent'
request.basic_auth("<username>", "<password>")

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://global-api-sandbox.afterpay.com/v2/grants/grantId/revoke")
  .header("User-Agent", "User-Agent")
  .basicAuth("<username>", "<password>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://global-api-sandbox.afterpay.com/v2/grants/grantId/revoke', [
  'headers' => [
    'User-Agent' => 'User-Agent',
  ],
    'auth' => ['<username>', '<password>'],
]);

echo $response->getBody();
```

```csharp
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://global-api-sandbox.afterpay.com/v2/grants/grantId/revoke");
client.Authenticator = new HttpBasicAuthenticator("<username>", "<password>");
var request = new RestRequest(Method.POST);
request.AddHeader("User-Agent", "User-Agent");

IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let credentials = Data("<username>:<password>".utf8).base64EncodedString()

let headers = [
  "User-Agent": "User-Agent",
  "Authorization": "Basic \(credentials)"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://global-api-sandbox.afterpay.com/v2/grants/grantId/revoke")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```